OPSWAT Announces FileScan.IO Asset Acquisition. Read More

OESIS Framework September 01, 2022 Release

Product Overview

OESIS Framework is a cross-platform, versatile and modular framework that enables software engineers and technology vendors to build advanced endpoint security products.

Anti-Keylogger Module Updates

    Internal fixes and optimizations

Anti-Screen Capture Module Updates

    Internal fixes and optimizations

Vulnerability Module Updates

    CVE-2015-8873

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 5.6.11.999998 and prior

    CVE-2015-0432

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.40 and prior

    CVE-2013-3802

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.11 and prior

    CVE-2018-12122

    • Vendor: Joyent, Inc.
    • Affected products: Node.js Current, Node.js LTS, Node.js
    • Score: 5.0
    • Affected versions: 11.3 and prior

    CVE-2022-32857

    • Vendor: Apple Inc.
    • Affected products: iOS
    • Score:
    • Affected versions: 15.5.999998 and prior

    CVE-2015-3152

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 4.3
    • Affected versions: 5.6.10.999998 and prior

    CVE-2019-2739

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 3.6
    • Affected versions: 8.0.16 and prior

    CVE-2018-7167

    • Vendor: Joyent, Inc.
    • Affected products: Node.js Current, Node.js, Node.js LTS
    • Score: 5.0
    • Affected versions: 9.11.2 and prior

    CVE-2013-2392

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.10 and prior

    CVE-2016-0651

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 3.5
    • Affected versions: 5.5.46 and prior

    CVE-2014-0386

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.13 and prior

    CVE-2014-0384

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.15 and prior

    CVE-2018-0734

    • Vendor: OpenJS Foundation
    • Affected products: Node.js, Node.js Current, Node.js LTS
    • Score: 4.3
    • Affected versions: 11.4 and prior

    CVE-2013-3793

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.11 and prior

    CVE-2013-3783

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.31 and prior

    CVE-2018-7164

    • Vendor: OpenJS Foundation
    • Affected products: Node.js, Node.js LTS, Node.js Current
    • Score: 5.0
    • Affected versions: 10.4.0.999998 and prior

    CVE-2016-5172

    • Vendor: Google Inc.
    • Affected products: Google Chrome
    • Score: 4.3
    • Affected versions: 53.0.2785.101 and prior

    CVE-2012-1757

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.23 and prior

    CVE-2018-7158

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 5.0
    • Affected versions: 4.9.1 and prior

    CVE-2012-5614

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.29 and prior

    CVE-2018-19935

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 7.2.13.999998 and prior

    CVE-2018-0735

    • Vendor: Oracle Corporation
    • Affected products: VirtualBox, Node.js Current, Node.js, MySQL Server, Node.js LTS, Oracle VM VirtualBox
    • Score: 4.3
    • Affected versions: 5.999999.999999r999998 and prior

    CVE-2021-3929

    • Vendor: QEMU Team
    • Affected products: QEMU
    • Score:
    • Affected versions: 7.0.0 and prior

    CVE-2016-0642

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.7.11 and prior

    CVE-2018-12116

    • Vendor: Joyent, Inc.
    • Affected products: Node.js Current, Node.js, Node.js LTS
    • Score: 5.0
    • Affected versions: 11.3 and prior

    CVE-2014-0402

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.13 and prior

    CVE-2021-24027

    • Vendor: WhatsApp Inc.
    • Affected products: com.whatsapp
    • Score: 5.0
    • Affected versions: 2.21.4.17.999998 and prior

    CVE-2018-2813

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.21 and prior

    CVE-2013-0383

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.5.28 and prior

    CVE-2012-3150

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.26 and prior

    CVE-2016-5635

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.13 and prior

    CVE-2016-5631

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.13 and prior

    CVE-2021-22907

    • Vendor: Citrix Systems, Inc.
    • Affected products: Citrix Workspace
    • Score: 7.2
    • Affected versions: 21.04.99.99.98 and prior

    CVE-2014-6559

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.20 and prior

    CVE-2022-22721

    • Vendor: Apache Software Foundation
    • Affected products: Apache HTTP Server
    • Score: 5.8
    • Affected versions: 2.4.52 and prior

    CVE-2015-0381

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.21 and prior

    CVE-2012-1734

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.23 and prior

    CVE-2014-6495

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.19 and prior

    CVE-2007-3007

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 5.2.2.999998 and prior

    CVE-2013-2389

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.09.999998 and prior

    CVE-2014-4049

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.1
    • Affected versions: 5.6.0 and prior

    CVE-2011-4566

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 6.4
    • Affected versions: 5.4.0 and prior

    CVE-2016-5634

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.13 and prior

    CVE-2014-2419

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.15 and prior

    CVE-2017-3651

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.18 and prior

    CVE-2018-3058

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.22 and prior

    CVE-2017-3732

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 4.3
    • Affected versions: 6.9.4.999998 and prior

    CVE-2014-0401

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.14 and prior

    CVE-2016-6207

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 4.3
    • Affected versions: 7.0.8.999998 and prior

    CVE-2020-11080

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 5.0
    • Affected versions: 12.17.999999.999998 and prior

    CVE-2012-3180

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.27 and prior

    CVE-2014-6478

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.19 and prior

    CVE-2016-5632

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.14 and prior

    CVE-2016-10159

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 7.1.0 and prior

    CVE-2012-3173

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.25 and prior

    CVE-2020-2752

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 3.5
    • Affected versions: 8.0.17 and prior

    CVE-2012-1756

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.5.23 and prior

    CVE-2014-4274

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.1
    • Affected versions: 5.6.19 and prior

    CVE-2021-23840

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 5.0
    • Affected versions: 14.15.0 and prior

    CVE-2017-9118

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 8.1.0.999998 and prior

    CVE-2022-32813

    • Vendor: Apple Inc.
    • Affected products: iOS
    • Score:
    • Affected versions: 15.5.999998 and prior

    CVE-2014-0412

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.14 and prior

    CVE-2015-8879

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 5.6.11.999998 and prior

    CVE-2016-5628

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.13 and prior

    CVE-2018-3066

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.9
    • Affected versions: 5.7.22 and prior

    CVE-2014-6496

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.20 and prior

    CVE-2015-2620

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.23 and prior

    CVE-2013-3794

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.6.10 and prior

    CVE-2017-3464

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.17 and prior

    CVE-2021-3449

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 4.3
    • Affected versions: 14.16.0.999998 and prior

    CVE-2019-19246

    • Vendor: The PHP Group
    • Affected products: PHP
    • Score: 5.0
    • Affected versions: 7.3.09.999998 and prior

    CVE-2014-6494

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.20 and prior

    CVE-2020-1971

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 4.3
    • Affected versions: 14.15.3.999998 and prior

    CVE-2022-0778

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 5.0
    • Affected versions: 16.14.1.999998 and prior

    CVE-2021-3672

    • Vendor: Joyent, Inc.
    • Affected products: Node.js LTS
    • Score: 6.8
    • Affected versions: 14.17.4.999998 and prior

    CVE-2022-34960

    • Vendor: MikroTik
    • Affected products: RouterOS
    • Score:
    • Affected versions: 7.4 and prior

    CVE-2016-5633

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.0
    • Affected versions: 5.7.13 and prior

    CVE-2014-6507

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.20 and prior

    CVE-2015-0382

    • Vendor: Oracle Corporation
    • Affected products: MySQL Server
    • Score: 4.3
    • Affected versions: 5.6.21 and prior

Patch Management Module

    Internal fixes and optimizations

AppRemover Module Updates

    Internal fixes and optimizations

Removable Media Protection Module Updates

Windows

    Internal fixes and optimizations

Mac

    Internal fixes and optimizations

Advanced Malware Detection Module Updates

Windows

    Internal fixes and optimizations

Mac

    Internal fixes and optimizations

Device Compliance Module Updates

Windows

SDK updates:

    Internal fixes and optimizations

Products updates:

    Internal fixes and optimizations

Products support:

    Added Tested Point 16.0 R48 for McAfee Total Protection

    • Vendor: McAfee, Inc.
    • Product: McAfee Total Protection

macOS

SDK updates:

    Internal fixes and optimizations

Products updates:

    Internal fixes and optimizations

Products support:

    Internal fixes and optimizations

Linux

SDK updates:

    Internal fixes and optimizations

Products updates:

    Internal fixes and optimizations

Products support:

    Internal fixes and optimizations

Release Details

For more information, please contact one of our cybersecurity experts.

Sign up for Blog updates!
Get information and insight from the leader in advanced threat prevention.